Bug 359861 - (CVE-2007-5708) CVE-2007-5708 openldap slapd pcache overlay DoS via non-null teminated string
CVE-2007-5708 openldap slapd pcache overlay DoS via non-null teminated string
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=gentoo,reported=20071029,publi...
: Security
Depends On: 360081 360091 362991
Blocks: 248549 329441
  Show dependency treegraph
 
Reported: 2007-10-31 05:58 EDT by Tomas Hoger
Modified: 2007-12-20 11:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-20 11:43:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2007-10-31 05:58:42 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2007-5708 to the following vulnerability:

slapo-pcache (overlays/pcache.c) in slapd in OpenLDAP before 2.3.39,
when running as a proxy-caching server, allocates memory using a
malloc variant instead of calloc, which prevents an array from being
initiialized properly and might allow attackers to cause a denial of
service (segmentation fault) via unknown vectors that prevent the
array from being null terminated.

References:
http://www.openldap.org/its/index.cgi/Software%20Bugs?id=5163
http://www.openldap.org/lists/openldap-announce/200710/msg00001.html
http://www.securityfocus.com/bid/26245 
http://www.frsirt.com/english/advisories/2007/3645
http://secunia.com/advisories/27424
Comment 2 Tomas Hoger 2007-10-31 06:50:14 EDT
Version of OpenLDAP as shipped with Red Hat Enterprise Linux 2.1 and 3 do not
support overlays at all, versions as shipped with Red Hat Enterprise Linux 4 and
5 are not compiled with support for overlays.  No version of OpenLDAP shippew
with Red Hat Enterprise Linux 2.1, 3, 4 or 5 is affected by this issue.
Comment 5 Fedora Update System 2007-11-06 11:05:29 EST
openldap-2.3.39-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openldap'
Comment 6 Fedora Update System 2007-11-09 18:48:51 EST
openldap-2.3.39-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2007-11-09 18:54:25 EST
openldap-2.3.34-4.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update openldap'
Comment 8 Fedora Update System 2007-11-20 12:47:50 EST
openldap-2.3.34-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.